import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSDateComponents } from "../Foundation/NSDateComponents.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _INSpeakableString } from "./INSpeakableString.js";
export declare class _INTaskList extends _NSObject {
    static alloc(): _INTaskList;
    static new(): _INTaskList;
    init(): _INTaskList;
    initWithTitle$tasks$groupName$createdDateComponents$modifiedDateComponents$identifier$(title: _INSpeakableString, tasks: _NSArray, groupName: _INSpeakableString | null, createdDateComponents: _NSDateComponents | null, modifiedDateComponents: _NSDateComponents | null, identifier: _NSString | null): _INTaskList;
    title(): _INSpeakableString;
    tasks(): _NSArray;
    groupName(): _INSpeakableString | null;
    createdDateComponents(): _NSDateComponents | null;
    modifiedDateComponents(): _NSDateComponents | null;
    identifier(): _NSString | null;
}
export interface _INTaskList extends _NSCopying, _NSSecureCoding {
}
